## net.sf.saxon.javax.xml.xquery
Interface XQConnection

All Superinterfaces:
  XQDataFactory, XQStaticContext

All Known Implementing Classes:
  SaxonXQConnection

    public interface XQConnection

extends XQDataFactory, XQStaticContext

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` `clearWarnings()`
`void` `close()`
`void` `commit()`
`XQExpression` `createExpression()`
`int` `getHoldability()`
`XQMetaData` `getMetaData()`
`String` `getMetaDataProperty(String key)`
`int` `getQueryLanguageTypeAndVersion()`
`int` `getScrollability()`
`String[]` `getSupportedMetaDataPropertyNames()`
`int` `getUpdatability()`
`XQWarning` `getWarnings()`
`boolean` `isClosed()`
`XQPreparedExpression` `prepareExpression(InputStream xquery)`
`XQPreparedExpression` `prepareExpression(InputStream xquery, XQItemType contextItemType)`
`XQPreparedExpression` `prepareExpression(Reader xquery)`
`XQPreparedExpression` `prepareExpression(Reader xquery, XQItemType contextItemType)`
`XQPreparedExpression` `prepareExpression(String xquery)`
`XQPreparedExpression` `prepareExpression(String xquery, XQItemType contextItemType)`
`void` `rollback()`
`void` `setCommonHandler(XQCommonHandler handler)`
`void` `setHoldability(int holdability)`
`void` `setQueryLanguageTypeAndVersion(int langtype)`
`void` `setScrollability(int scrollability)`
`void` `setUpdatability(int updatability)`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQDataFactory
`createAtomicItemType, createItem, createItemFromAtomicValue, createItemFromBoolean, createItemFromByte, createItemFromDocument, createItemFromDouble, createItemFromFloat, createItemFromInt, createItemFromLong, createItemFromNode, createItemFromObject, createItemFromShort, createItemType, createItemType, createSequence, createSequence, createSequenceType`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQStaticContext
`getBaseURI, getBoundarySpacePolicy, getConstructionMode, getCopyNamespacesModeInherit, getCopyNamespacesModePreserve, getDefaultCollation, getDefaultElementTypeNamespace, getDefaultFunctionNamespace, getDefaultOrderForEmptySequences, getInScopeNamespacePrefixes, getNamespaceURI, getOrderingMode, getStaticInScopeVariableNames, getStaticInScopeVariableType`

Method Detail

### clearWarnings

    void clearWarnings()
                       throws XQException

  Throws:
    `XQException`

### close

    void close()
               throws XQException

  Throws:
    `XQException`

### commit

    void commit()
                throws XQException

  Throws:
    `XQException`

### createExpression

    XQExpression createExpression()
                                  throws XQException

  Throws:
    `XQException`

### getHoldability

    int getHoldability()
                       throws XQException

  Throws:
    `XQException`

### getMetaData

    XQMetaData getMetaData()
                           throws XQException

  Throws:
    `XQException`

### getMetaDataProperty

    String getMetaDataProperty(String key)
                               throws XQException

  Throws:
    `XQException`

### getQueryLanguageTypeAndVersion

    int getQueryLanguageTypeAndVersion()
                                       throws XQException

  Throws:
    `XQException`

### getScrollability

    int getScrollability()
                         throws XQException

  Throws:
    `XQException`

### getSupportedMetaDataPropertyNames

    String[] getSupportedMetaDataPropertyNames()
                                               throws XQException

  Throws:
    `XQException`

### getUpdatability

    int getUpdatability()
                        throws XQException

  Throws:
    `XQException`

### getWarnings

    XQWarning getWarnings()
                          throws XQException

  Throws:
    `XQException`

### isClosed

    boolean isClosed()

### prepareExpression

    XQPreparedExpression prepareExpression(InputStream xquery)
                                           throws XQException

  Throws:
    `XQException`

### prepareExpression

    XQPreparedExpression prepareExpression(InputStream xquery,
                                           XQItemType contextItemType)
                                           throws XQException

  Throws:
    `XQException`

### prepareExpression

    XQPreparedExpression prepareExpression(Reader xquery)
                                           throws XQException

  Throws:
    `XQException`

### prepareExpression

    XQPreparedExpression prepareExpression(Reader xquery,
                                           XQItemType contextItemType)
                                           throws XQException

  Throws:
    `XQException`

### prepareExpression

    XQPreparedExpression prepareExpression(String xquery)
                                           throws XQException

  Throws:
    `XQException`

### prepareExpression

    XQPreparedExpression prepareExpression(String xquery,
                                           XQItemType contextItemType)
                                           throws XQException

  Throws:
    `XQException`

### rollback

    void rollback()
                  throws XQException

  Throws:
    `XQException`

### setCommonHandler

    void setCommonHandler(XQCommonHandler handler)
                          throws XQException

  Throws:
    `XQException`

### setHoldability

    void setHoldability(int holdability)
                        throws XQException

  Throws:
    `XQException`

### setQueryLanguageTypeAndVersion

    void setQueryLanguageTypeAndVersion(int langtype)
                                        throws XQException

  Throws:
    `XQException`

### setScrollability

    void setScrollability(int scrollability)
                          throws XQException

  Throws:
    `XQException`

### setUpdatability

    void setUpdatability(int updatability)
                         throws XQException

  Throws:
    `XQException`

Copyright (C) Michael H. Kay. All rights reserved.